Bug 848568 (CVE-2012-4297)

Summary: CVE-2012-4297 wireshark: buffer overflow in GSM RLC MAC dissector (wnpa-sec-2012-19)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: huzaifas, jrusnack, jsafrane, mapcode.mind, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120815,reported=20120815,source=internet,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,fedora-all/wireshark=affected,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,cwe=CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-25 12:29:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 848593    
Bug Blocks:    

Description Vincent Danen 2012-08-15 17:32:53 EDT
It may be possible to make Wireshark crash, hang, or execute code by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Affects 1.6.0 to 1.6.9, 1.8.0 to 1.8.1 and is fixed in upstream 1.8.2 and 1.6.10 versions.

http://www.wireshark.org/security/wnpa-sec-2012-19.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7561
http://anonsvn.wireshark.org/viewvc?view=revision&revision=44307

Note: 1.0.x and 1.2.x do not provide the GSM RLC MAC dissector.


Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 1 Vincent Danen 2012-08-15 18:11:56 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 848593]
Comment 2 Fedora Update System 2012-08-27 18:55:25 EDT
wireshark-1.6.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-08-27 19:05:03 EDT
wireshark-1.6.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.